С чего начать?

Автор Mar1k, 06 Сентябрь 2006, 14:01:28

« назад - далее »

0 Пользователи и 1 Гость просматривают эту тему.

Mar1k

Всем здрасти.
Заранее прошу извенения у всех маститых кореефев данного форума за то, что сюда опять пришел очередной ламер и начинает спрашивать такие вещи, что им [корефеям] становиться худо отвечать на такие простые и очевидные вопросы.  knuppel
Но что делать. Каждый когда-то приступает к изучению чего-то нового для себя - кто-то из нас раньше, кто-то чуть позднее.
Так что спрошу вот о чем: с чего начать узучение особенностей использования и настройки SMF? Прежде чем задать этот вопрос, я просмотрел вроде бы все обсуждаемые топики форума, но ничего похожего не нашел. Конечно, здесь все посвящено настройкам и использованию SMF, но я, не знаю даже как русскую версию SMF поставить на сервак (оригинал поставил!), как его интегрировать в Mambo/Joomla (поэтому сюда и выложил свой вопрос).
Короче, помогите кто чем может: ссылками (желательно на русском), советами, пожеланиями и пр.
И кому не лень возиться с этим выражаю огромный респект и признательность! O0
Всем спасибо, всем пока! ;) 

YSV

Цитата: Mar1k от 06 Сентябрь 2006, 14:01:28
Конечно, здесь все посвящено настройкам и использованию SMF, но я, не знаю даже как русскую версию SMF поставить на сервак (оригинал поставил!), как его интегрировать в Mambo/Joomla (поэтому сюда и выложил свой вопрос).
Какую версию поставил?
Перевод рядом лежит где и версию брал.
Самое надежное место http://www.simplemachines.org
Там все есть и перевод.

Желательно начинать локально, я например поставил себе Денвер (в Рамблер)
Потом СМФ RC2.
Я пока на RC3 не перехожу там возможны проблемы...

Mar1k

YSV, у меня вот такие дела установлены:
1) SMF 1.0.8 (качал с сайта http://www.simplemachines.org)
2) SMF-11RC2-russian - но его я не знаю, как ставить
3) Joomla 1.0.10 RE или Mambo 4.5.2.1 (и то, и то стоит)
3) Apache/2.0.42

Mar1k

Скачал с http://www.simplemachines.org language той же самой версии, что и СМФ.

Thresh

Mar1k: нужно скачать upgrade RC2, залить его в ту же директорию и потом набрать www.твойсайтнэйм.ru/форум/ upgrade.php  форум нужно поставить на тех.обслуживание и язык установить английский (перед заливом) это делается в админе "свойства сервера" потом установить пакет локализации и перевести форум на русский язык, потом скачать пару скинов для разнообразия ))))
Two beer or not two beer...

Mar1k

Thresh, а где сей апгрейд качать и нафига он нужен, я не понимаю. Апакч у меня дома стоит на машине, сначала разобраться надо че дак как, а уж потом в сеть заливать всю бодягу.

Thresh

скачать на оф.сайте
если ты уже поставил 1.0.8 то можно проапгрэйдить до 1.1 RC2, если ты оставишь 1.0.8 то руссификация пройдёт по особенному: на пол экрана будет напоминание о копирайте ))) если ещё не установил скачай 1.1 RC2

Цитировать"с чего начать узучение особенностей использования и настройки SMF?"
бери архив, распаковывай, заливай на свой хороший хостинг с php и MySQL,
в панели хостинга создай одну базу под форум,
запомини имя пользователя базы и пароль
после залива форума начинай инсталл (директория форума/instal.php)
инсталятор тебя попросит изменить свойства доступа нескольких файлов-фтп клиентом изменяешь на 777
после окончания инстала удаляешь instal.php заливаешь руссификацию заходишь в форум в "администрирование"
и начинаешь конфигурировать всё "под себя"

на оф.сайте есть подробный хелп
Two beer or not two beer...

SAS

если у тебя установлена и работат версия форума 1.0.8, то :

1. качаешь с оффсайта форума файл SMF 1.1 RC2 - update

2. кчаешь оттуда же файл руссификации smf_1-1-rc2_russian

3. заливаешь на сервер файлы из распакованного архива SMF 1.1 RC2 - update с заменой старых файлов

4. запускаешь файл upgrade.php из корня форума, это будет выглядеть примерно так http://папка_с_твоим_форумом/upgrade.php, обновление проходит автоматом, так что тебе остается только сидеть и пить пиво, дожидаясь конца обновления

5. распаковываешь и заливаешь папку с русификацией, там ничего сложного, просто можешь скопировать файлы из папки с темой default в эту же папку форума

пока все, разберись и настрой форум сначала, потом будем соединять его с Jooml`ой

Mavn

1. На дворе уже давно RC3. По нашим данным RC2 уже давным давно не лежит в паблике.
2. Если версия 1.0.8 это еще не значит что нужно бежать и обновляться до 1.1 RC3, это разные линейки smf и может человек не хочет использовать бета продукт smf.
3. Версия перевода(русификации) должна соотвествовать версии выбранной линейки форума.
4. Для того чтобы установить форум:
    а.) Прочитайте данную статью http://www.simplemachines.ru/index.php?page=7, если вы устанавливаете форум локально то она вам поможет определиться с выбором веб сервера для установки на ваш компьютер.
    б.) Судя по всему вы уже установили форум версии 1.0.8. Русифицировать его не составит особого труда. Качаем перевод для данной версии здесь http://www.simplemachines.org/download/index.php/smf_1-0-8_russian.zip . После чего полученный архив разархивируем и получим папку Themes со всем содержимым. Копируем папку в корень директории с форумом. В результате получаем папку форума дополненую переводом на русский язык. Чтобы убедится в том что у нас все прошло нормально заходим Themes\default\languages и смотрим наличие русских файлов что то типа такого *.russian.php где * название файла. После чего нам осталось выставить русский язык в настройках самого форума для этого делаем следующее Admin - Server Settings - Default Forum Language выбираем Russian и нажимаем кнопку Save.
5. Проделав данные операции получаем форум на русском языке.

PS данная инструкция подходит для всех версий форума!! Главное во всем этом выполнить пункт 3 данного руководства!

SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Mar1k

Mavn, SAS и Thresh огромное спасибо вам, я понял, что мне надо делать, пойду попробую

Mar1k

Итак, проделав все то, что вы мне написали, у меня теперь стоит SMF и даже в пятке написано, что это все Powered by SMF 1.1 RC2. Покопался в настройках, разобрался немного. Скажу вам КЛАССНАЯ ШТУКА этот ваш SMF!
Теперь помогите, плиз, интегрировать форум в CMS (чтобы я вообще прыгал от счастья). Я тут нашел инфу по этому поводу - http://joom.ru/content/view/100/91/ . Прочитал, все понятно что делать, но вот какой интегратор качать? А может для моей версии форума вообще все по-другому надо делать? Спасибо.

Mar1k

И все-таки я где-то и в чем-то накосячил - велезает вот такая ошибка при попытке добавлениея нового материала в раздел:
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' 1, 3)' at line 3
Файл: ...\Sources\MessageIndex.php
Строка: 102

В чем дело?

Mar1k

Ну по-поводу последнего моего вопроса можно забить с вопросом, т.к. я снес форум и заинсталил снова - проблема разрешилась, видимо криво поставил. А вот с интеграцией вопрос остается в силе - я скачал Bridge Mambo,Joomla SMF 1.1 RC2 (aka 3.20) вот отсюда http://joom.ru/component/option,com_remository/Itemid,52/func,fileinfo/id,60/

Mavn

бридж уже давным давно устарел! точно также как есть новая версия smf!
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Mar1k

Mavn, ты советуешь мне RC3 поставить?

Mavn

На наш взгляд для работы с Joomla rc3 лучше. а использовать или нет решать тебе!
здесь найдешь  новую версию бриджа http://www.simplemachines.org/download/?bridges
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Mar1k

Mavn, ок, спасибо, обязательно сегодня поценю. Удачи!

galogen

Решил испытать связку Joomla + SMF. Почитал инструкции, то се и вот какой результат.
Joomla 1.0.11 Re
SMF 1.1 RC3

Скачал руссификатор тем, и мост к Joomle - самый последний 1.1.6/
Установил кажется без проблем, руссифицировал, выставил язык по умолчанию, попробывал создавать сообщения.
Обнаружились проблемы:
Ослик (ie 6.0) - шаблон перекорежило, при публиковании сообщений - вылетаю ошибки javascript, хотя сообщение сохраняется
Opera 9.0 - никаких искажений шаблона, однако когда регишься именно на форуме перескакиваю на index joomla, при выходе аналогично.

Где что можно поправить. Форум неwrappered конечно